<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="index"></ion-back-button>
    </ion-buttons>
    <ion-title>
List of Students </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list class="ios list-ios hydrated">
  

    <ion-item *ngFor="let coursereg of Courseregs" class="item-label item ios in-list ion-focusable hydrated" >
      <ion-label class="sc-ion-label-ios-h sc-ion-label-ios-s ios hydrated">
        <h2>{{coursereg.coursereg_name}}</h2>
        <h2>{{coursereg.artist}}</h2>
        <h2>{{coursereg.rating}}</h2>
        <br>
        <h2>Course Registered :</h2>
        <h5 *ngIf=" coursereg.course1 == 'SCSP3213 Data Analytics'">SCSP3213 Data Analytics</h5>
        <h5 *ngIf=" coursereg.course1 == 'SCSJ3221 Artificial Intelligence'">SCSJ3221 Artificial Intelligence</h5>
        <h5 *ngIf=" coursereg.course1 == 'SCSP3223 Software Engineering'">SCSP3223 Software Engineering</h5>
        <h5 *ngIf=" coursereg.course1 == 'SCSP3113 Application Development'">SCSP3113 Application Development</h5>

        <h5 *ngIf=" coursereg.course2 == 'SCSP3213 Data Analytics'">SCSP3213 Data Analytics</h5>
        <h5 *ngIf=" coursereg.course2 == 'SCSJ3221 Artificial Intelligence'">SCSJ3221 Artificial Intelligence</h5>
        <h5 *ngIf=" coursereg.course2 == 'SCSP3223 Software Engineering'">SCSP3223 Software Engineering</h5>
        <h5 *ngIf=" coursereg.course2 == 'SCSP3113 Application Development'">SCSP3113 Application Development</h5>

        <h5 *ngIf=" coursereg.course3 == 'SCSP3213 Data Analytics'">SCSP3213 Data Analytics</h5>
        <h5 *ngIf=" coursereg.course3 == 'SCSJ3221 Artificial Intelligence'">SCSJ3221 Artificial Intelligence</h5>
        <h5 *ngIf=" coursereg.course3 == 'SCSP3223 Software Engineering'">SCSP3223 Software Engineering</h5>
        <h5 *ngIf=" coursereg.course3 == 'SCSP3113 Application Development'">SCSP3113 Application Development</h5>

        <h5 *ngIf=" coursereg.course4 == 'SCSP3213 Data Analytics'">SCSP3213 Data Analytics</h5>
        <h5 *ngIf=" coursereg.course4 == 'SCSJ3221 Artificial Intelligence'">SCSJ3221 Artificial Intelligence</h5>
        <h5 *ngIf=" coursereg.course4 == 'SCSP3223 Software Engineering'">SCSP3223 Software Engineering</h5>
        <h5 *ngIf=" coursereg.course4 == 'SCSP3113 Application Development'">SCSP3113 Application Development</h5>
        
        <br>
        
        <h1 *ngIf=" coursereg.status == 'Yes'">Approved</h1>
        <h1 *ngIf=" coursereg.status == 'No'">Not Approved</h1>
        
        <!-- <h1>Approved: {{coursereg.status}}</h1> -->

      </ion-label>

      <div class="item-note" item-end>
        <ion-button clear [routerLink]="['/modify-course2/', coursereg._id]" name="add" >Update Approval
        </ion-button>
        <!-- <ion-button clear (click)="deleteCoursereg(coursereg, i)">
          <ion-icon name="trash" style="zoom:1.5"></ion-icon>
        </ion-button> -->

      </div>
    </ion-item>
  </ion-list>
  <div class="item-note" item-end>
    <ion-button clear [routerLink]="['/index/']" name="add" >Home
    </ion-button>
    
    <!-- <ion-button clear (click)="deleteCoursereg(coursereg, i)">
      <ion-icon name="trash" style="zoom:1.5"></ion-icon>
    </ion-button> -->

  </div>
  <!-- fab placed to the bottom start -->
  <!-- <ion-fab vertical="bottom" horizontal="end" slot="fixed" routerLink="/add-course">
    <ion-button name="add" color="primary">Add
    </ion-button>
  </ion-fab> -->
</ion-content>
